SbVec3us(3)

NAME
SbVec3us

SYNOPSIS

#include <Inventor/SbVec3us.h>

  Public Member Functions
SbVec3us (const unsigned short v[3])
SbVec3us (unsigned short x, unsigned short y, unsigned short z)
SbVec3us (const SbVec3s &v)
SbVec3us (const SbVec3ub &v)
SbVec3us (const SbVec3ui32 &v)
SbVec3us & setValue (const unsigned short v[3])
SbVec3us & setValue (unsigned short x, unsigned short y, unsigned short z)
SbVec3us & setValue (const SbVec3s &v)
SbVec3us & setValue (const SbVec3ub &v)
SbVec3us & setValue (const SbVec3ui32 &v)
const unsigned short * getValue (void) const
void getValue (unsigned short &x, unsigned short &y, unsigned short &z) const
unsigned short & operator[] (int i)
const unsigned short & operator[] (int i) const
int32_t dot (const SbVec3us &v) const
void negate (void)
SbVec3us & operator*= (int d)
SbVec3us & operator*= (double d)
SbVec3us & operator/= (int d)
SbVec3us & operator/= (double d)
SbVec3us & operator+= (const SbVec3us &v)
SbVec3us & operator-= (const SbVec3us &v)
SbVec3us operator- (void) const

  Protected Attributes
unsigned short vec [3]

Detailed Description

Since
    Coin 2.5

Author

Generated automatically by Doxygen for Coin from the source code.